Subject: Re: linux-next: build failure after merge of the final tree

From: David Miller <[email-masked]>
Date: Tue, 22 May 2012 15:05:25 -0400 (EDT)

From: Stephen Rothwell <[email-masked]>
Date: Tue, 22 May 2012 18:20:10 +1000

> After merging the final tree, today's linux-next build (sparc32 defconfig)
> failed like this:
> 
> arch/sparc/kernel/time_32.c: In function 'timer_interrupt':
> arch/sparc/kernel/time_32.c:105:3: error: invalid use of undefined type 'struct clock_event_device'
 ...
> I have no idea what caused this, I did not get this yesterday.  I have
> left this build broken for today.

It builds cleanly in Linus's tree, and I have no local changes in sparc-next.